Server list V3
Documentation for Server list V3
Read time 1 minuteLast updated a year ago
Get a paginated list of all game servers that match the criteria passed through the parameters.
https://api.multiplay.co.uk/cfp/v3/servers
METHOD |
GET |
Request parameters
VARIABLE | DESCRIPTION | OPTIONAL |
last_id | The last value of the server_id field on the previous page. | Required if paging |
last_val | The last value of the sort column on the previous page. The sort column is server_id by default. | Required if paging |
sort_dir | The sort direction of the results. Valid values are for ascending and for descending. | Yes |
sort_by | The column to sort by. You can sort by , , , . It uses to sort by default. | Yes |
limit | The number of results on each page. The default page size is . The maximum page size is . | Yes |
Response fields
|
|
|
|
|---|---|---|---|
machine_id | integer | ID of the machine this server is on | No |
name | string | Name of this server | Yes |
deleted | string | Shows the date when this server was deleted | Yes |
profile_id | integer | ID of the profile used by this server | Yes |
server_id | integer | ID of this server | Yes |
Example requests
curl --location --request GET 'https://api.multiplay.co.uk/cfp/v3/servers?sort_by=<sort_by>&sort_dir=<sort_dir>' \--header 'Authorization: Basic YOUR_AUTH_CREDENTIALS'
The following example shows how to get the next page of servers sorted by inverse name. Here, is set to to indicate that 30 was the ID of the previous page and is set to the last server name ().
last_id30last_valsvrnamecurl --location --request GET 'https://api.multiplay.co.uk/cfp/v3/servers?/cfp/v3/servers?sort_by=name&sort_dir=desc&last_id=30&last_val=svrname \--header 'Authorization: Basic YOUR_AUTH_CREDENTIALS'
Example response
{ data: [ { "server_id": <server_id>, "machine_id": <machine_id>, "name": <server_name>, "deleted": <deleted_date>, "profile_id": <profile_id> }, ... ]}